Raritan PX2/PX3 JSON-RPC API

Classes | Public Member Functions | Public Attributes | List of all members
event::AlarmManager Interface Reference

AlarmManager interface. More...

`import"AlarmManager.idl";`

## Classes
struct | Alarm
| Alarm structure. More...
struct | Alert
| Alert structure. More...

## Public Member Functions
int | acknowledgeAlarm (in string alarmId)
| Acknowledges an alarm. More...
vector< Alarm > | listAlarms ()
| List alarms that need to be acknowledged.

## Public Attributes
constant int | NO_ERROR = 0
| Error codes. More...
constant int | ERR_UNKNOWN_ALARM_ID = 1
| unknown alarmId
constant int | ERR_EXECUTING_ACTIONS = 2
| failure during executing actions
valueobject | AlarmAddedEvent: idl::Event { Alarm alarm
| New alarm added event. More...
valueobject | AlarmUpdatedEvent: idl::Event { Alarm alarm
| Alarm updated event. More...
valueobject | AlarmAcknowledgedEvent: idl::Event { string alarmId
| Existing alarm acknowledgement event. More...

## Detailed Description

AlarmManager interface.

## Member Function Documentation

## ◆ acknowledgeAlarm()

int event::AlarmManager::acknowledgeAlarm | ( | in string | alarmId | ) |

Acknowledges an alarm.

This stops notification sending and will remove the specified alarm from the alarm list.

Parameters

  alarmId | alarm id

Returns
  NO_ERROR if OK
  ERR_UNKNOWN_ALARM_ID if alarmId is unknown
  ERR_EXECUTING_ACTIONS if failure during executing acknowledgment actions

## Member Data Documentation

## ◆ AlarmAcknowledgedEvent

valueobject event::AlarmManager::AlarmAcknowledgedEvent

Existing alarm acknowledgement event.

Alarm id of acknowledged alarm

## ◆ AlarmAddedEvent

valueobject event::AlarmManager::AlarmAddedEvent

New alarm added event.

Newly added alarm

## ◆ AlarmUpdatedEvent

valueobject event::AlarmManager::AlarmUpdatedEvent

Alarm updated event.

Updated alarm

## ◆ NO_ERROR

constant int event::AlarmManager::NO_ERROR = 0

Error codes.

operation successful, no error

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/AlarmManager.idl